Set IP authorization
curl --request PUT \
--url https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/ip-authorization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "192.0.2.40"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '192.0.2.40'})
};
fetch('https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/ip-authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/ip-authorization"
payload := strings.NewReader("{\n \"ip\": \"192.0.2.40\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/ip-authorization"
payload = { "ip": "192.0.2.40" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"ip_authorization": "192.0.2.40"
}IP authorization
Set IP authorization
Set or replace the subscription’s authorized source IP. Changes live access. Sending the current IP succeeds without changes.
PUT
https://app.proxy.doubledata.com/api/v1
/
isp
/
subscriptions
/
{subscriptionId}
/
ip-authorization
Set IP authorization
curl --request PUT \
--url https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/ip-authorization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip": "192.0.2.40"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip: '192.0.2.40'})
};
fetch('https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/ip-authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/ip-authorization"
payload := strings.NewReader("{\n \"ip\": \"192.0.2.40\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import requests
url = "https://app.proxy.doubledata.com/api/v1/isp/subscriptions/{subscriptionId}/ip-authorization"
payload = { "ip": "192.0.2.40" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"ip_authorization": "192.0.2.40"
}Authorizations
Your organization's active API key.
Path Parameters
The subscription's public UUID.
Body
application/json
The public IPv4 address to authorize.
Response
Current IP authorization